@echo off
rem Copyright (C) 2006-2008 AKANEIROSOFTWARE, Tadamasa Teranishi.
rem                                  http://www.akaneiro.jp/
rem
rem File:	    SetEnv.bat
rem Version:	    1.0.0.4
rem Date:	    2008/03/02

set TMPLANG=English

if "%1" == "/english" goto Label_en
if "%1" == "/japanese" goto Label_ja
chcp 437
set LANG=C
goto Label_start

:Label_en
chcp 437
set LANG=C
shift
goto Label_start

:Label_ja
chcp 932
set LANG=ja_JP.SJIS
shift
goto Label_start


:Label_start
IF "%LANG%" == "ja_JP.SJIS" set TMPLANG=Japanese

REM Set OS specific variables
IF "x%OS%x" == "xWindows_NTx" Title Namazu for Windows (%TMPLANG%)
cls
echo Namazu for Windows (%TMPLANG%)
set TMPLANG=

set NAMAZUDRIVE=C:
set NAMAZUPATH=\namazu
set NAMAZUHOME=%NAMAZUDRIVE%%NAMAZUPATH%
set KAKASIHOME=C:\kakasi
set CHASENHOME=C:\usr\local
set MECABHOME=C:\usr\local


PATH %NAMAZUHOME%\bin;C:\usr\local\bin;%PATH%

set LANGUAGE=%LANG%
set LC_ALL=%LANG%
set LC_MESSAGES=
set LC_CTYPE=

set NAMAZURC=%NAMAZUHOME%\etc\namazu\namazurc
set MKNMZRC=%NAMAZUHOME%\etc\namazu\mknmzrc
set NAMAZULOCALEDIR=%NAMAZUHOME%\share\locale
set pkgdatadir=%NAMAZUHOME%\share\namazu

set KANWADICTPATH=%KAKASIHOME%\share\kakasi\kanwadict
set ITAIJIDICTPATH=%KAKASIHOME%\share\kakasi\itaijidict

set CHASENRC=%CHASENHOME%\etc\chasenrc
set MECABRC=%MECABHOME%\etc\mecabrc


if "x%HOMEDRIVE%" == "x" set HOMEDRIVE=%NAMAZUDRIVE%
if "x%HOMEPATH%" == "x" set HOMEPATH=%NAMAZUPATH%
if "x%HOME%" == "x" set HOME=%HOMEDRIVE%%HOMEPATH%

%HOMEDRIVE%
cd %HOME%

rem 2006.02.27  Tadamasa Teranishi  mailto:sales@akaneiro.jp
rem	* Init
rem 2007.04.25  Tadamasa Teranishi  mailto:sales@akaneiro.jp
rem	* update
rem 2008.02.03  Tadamasa Teranishi  mailto:sales@akaneiro.jp
rem	* Add codepage (chcp)
rem 2008.03.02  Tadamasa Teranishi  mailto:sales@akaneiro.jp
rem	* Add CHASENRC
